Retrieves all the user week approval
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "12a5cf06-195a-4861-8b3e-d445d6191ecc",
"user_id": "016a0c68-8fa0-403f-ae2f-5577cf454857",
"approved_date_start": "2026-05-10T14:57:26.2364701+00:00",
"approved_date_end": "2026-05-10T14:57:26.2364701+00:00",
"date_approval": "2026-05-10T14:57:26.2364701+00:00",
"is_approved": true,
"approved_by_user_id": "e2638073-7fc7-41af-ad63-46c589229d43",
"modified_dateutc": "2026-05-10T14:57:26.2364701+00:00"
}